For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenants

List all tenants

get

List all tenants.

In order to execute this action the current user must have security right atom:global:view_all_tenants.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
statusstring · enumOptional

tenant status: active, archived, or all

Possible values:
per_pageintegerOptional

number of tenants per page

orderstring · enumOptional

order tenants by name in ascending or descending order

Possible values:
pageintegerOptional

Number of the page to serve. This parameter activates classic page-based pagination and cannot be used with parameter next_page_after which activates cursor-based pagination.

next_page_afterstringOptional

When cursor based pagination is used, each paginated response has value next_page_after which, if submitted as a parameter, allows to retrieve the next page. next_page_after is null is there is no next page. next_page_after cannot be used together with parameter page. page activates classic page-based pagination.

filter_bystringOptional

Search tenants whose names contains the given string, or by their ID.

Responses
200

Success

application/json
metaobject · ATOMMetaOptional
next_page_afterstring · nullableOptional

A value which allows to retrieve the next page. (Cursor-based pagination)

get/tenants
GET /tenants HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {},
  "next_page_after": "text",
  "tenants": [
    {
      "archived": true,
      "authorised_officer_email": "text",
      "authorised_officer_first_name": "text",
      "authorised_officer_last_name": "text",
      "business_address": "text",
      "color": "text",
      "company_number": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "legal_name": "text",
      "lei_number": "text",
      "logo_url": "https://example.com",
      "name": "text",
      "security_rights": [
        "atom:org:assign_org_sr_to_user"
      ],
      "status_in_tenant": "text",
      "trading_name": "text"
    }
  ]
}

Create a tenant

post

Create a tenant.

In order to execute this action the current user must have security right atom:global:create_tenant. The current user becomes the first admin of the tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
with_external_security_rightsbooleanOptional

By default new tenants receive all internal security rights only. with_external_security_rights also adds all external security rights to the tenant.

Body
authorised_officer_emailstring · max: 72 · nullableOptional

Authorised officer email

authorised_officer_first_namestring · max: 72 · nullableOptional

Authorised officer first name

authorised_officer_last_namestring · max: 72 · nullableOptional

Authorised officer last name

business_addressstring · max: 72 · nullableOptional

Business address

colorstring · max: 20 · nullableOptional

The color associated with the tenant. Used for the UI.

company_numberstring · max: 72 · nullableOptional

Company number

idstring · uuidOptional

ID of the tenant. This parameter is optional. If missing, ATOM will choose a random UUID

legal_namestring · max: 72 · nullableOptional

Legal number

lei_numberstring · max: 72 · nullableOptional

Legal entity identification number

logo_urlstring · uri · nullableOptional

URL to a logo image

namestringRequired

Name of the tenant

status_in_tenantstring · max: 72 · nullableOptional

Status: signed legal agreement received or proof of concept

trading_namestring · max: 72 · nullableOptional

Trading number

Responses
200

Success

application/json
post/tenants
POST /tenants HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356

{
  "authorised_officer_email": "text",
  "authorised_officer_first_name": "text",
  "authorised_officer_last_name": "text",
  "business_address": "text",
  "color": "text",
  "company_number": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "legal_name": "text",
  "lei_number": "text",
  "logo_url": "https://example.com",
  "name": "text",
  "status_in_tenant": "text",
  "trading_name": "text"
}
{
  "tenant": {
    "archived": true,
    "authorised_officer_email": "text",
    "authorised_officer_first_name": "text",
    "authorised_officer_last_name": "text",
    "business_address": "text",
    "color": "text",
    "company_number": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legal_name": "text",
    "lei_number": "text",
    "logo_url": "https://example.com",
    "name": "text",
    "security_rights": [
      "atom:org:assign_org_sr_to_user"
    ],
    "status_in_tenant": "text",
    "trading_name": "text"
  }
}

Show a tenant

get

Show a tenant.

In order to execute this action the current user must have either global security right atom:global:view_all_tenants or tenant security right atom:tenant:view_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Responses
200

Success

application/json
get/tenants/{tenant_id}
GET /tenants/{tenant_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Update a tenant

put

Update a tenant.

In order to execute this action the current user must have security right atom:global:create_tenant.

It is possible to modify 3 fields:

  • name

  • logo_url

  • color

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Body
authorised_officer_emailstring · max: 72 · nullableOptional

Authorised officer email

authorised_officer_first_namestring · max: 72 · nullableOptional

Authorised officer first name

authorised_officer_last_namestring · max: 72 · nullableOptional

Authorised officer last name

business_addressstring · max: 72 · nullableOptional

Business address

colorstring · max: 20 · nullableOptional

The color associated with the tenant. Used for the UI.

company_numberstring · max: 72 · nullableOptional

Company number

idstring · uuidOptional

ID of the tenant. This parameter is optional. If missing, ATOM will choose a random UUID

legal_namestring · max: 72 · nullableOptional

Legal number

lei_numberstring · max: 72 · nullableOptional

Legal entity identification number

logo_urlstring · uri · nullableOptional

URL to a logo image

namestringRequired

Name of the tenant

status_in_tenantstring · max: 72 · nullableOptional

Status: signed legal agreement received or proof of concept

trading_namestring · max: 72 · nullableOptional

Trading number

Responses
200

Success

application/json
put/tenants/{tenant_id}
PUT /tenants/{tenant_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356

{
  "authorised_officer_email": "text",
  "authorised_officer_first_name": "text",
  "authorised_officer_last_name": "text",
  "business_address": "text",
  "color": "text",
  "company_number": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "legal_name": "text",
  "lei_number": "text",
  "logo_url": "https://example.com",
  "name": "text",
  "status_in_tenant": "text",
  "trading_name": "text"
}
{
  "tenant": {
    "archived": true,
    "authorised_officer_email": "text",
    "authorised_officer_first_name": "text",
    "authorised_officer_last_name": "text",
    "business_address": "text",
    "color": "text",
    "company_number": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legal_name": "text",
    "lei_number": "text",
    "logo_url": "https://example.com",
    "name": "text",
    "security_rights": [
      "atom:org:assign_org_sr_to_user"
    ],
    "status_in_tenant": "text",
    "trading_name": "text"
  }
}

Delete a tenant

delete

Delete a tenant.

In order to execute this action the current user must have security right atom:global:create_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Responses
200

Success

application/json
delete/tenants/{tenant_id}
DELETE /tenants/{tenant_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

List admins of a tenant

get

List admins of a tenant.

In order to execute this action the current user must have

In order to execute this action the current user must have security right atom:tenant:list_tenant_admins for the tenant with the ID in parameter tenant_id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Query parameters
statusstring · enumOptional

admin status: active or archived

Possible values:
emailstringOptional

search admins by their email address. Currenty works only with status=archived

per_pageintegerOptional

number of admins per page

orderstring · enumOptional

order admins by given name in ascending or descending order

Possible values:
pageintegerOptional

Number of the page to serve. This parameter activates classic page-based pagination and cannot be used with parameter next_page_after which activates cursor-based pagination.

next_page_afterstringOptional

When cursor based pagination is used, each paginated response has value next_page_after which, if submitted as a parameter, allows to retrieve the next page. next_page_after is null is there is no next page. next_page_after cannot be used together with parameter page. page activates classic page-based pagination.

Responses
200

Success

application/json
metaobject · ATOMMetaOptional
next_page_afterstring · nullableOptional

A value which allows to retrieve the next page. (Cursor-based pagination)

get/tenants/{tenant_id}/admins
GET /tenants/{tenant_id}/admins HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admins": [
    {
      "archived": false,
      "email": "peter@peterson.com",
      "family_name": "Peterson",
      "given_name": "Peter",
      "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
    }
  ],
  "meta": {},
  "next_page_after": "text"
}

Show an admin of a given tenant

get

Show an admin of a given tenant

In order to execute this action the current user must have security right atom:tenant:list_tenant_admins for the tenant with the ID in parameter tenant_id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

tenant_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
get/tenants/{tenant_id}/admins/{tenant_admin_id}
GET /tenants/{tenant_id}/admins/{tenant_admin_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

Remove all tenant security rights from a user

delete

Remove tenant admin privileges from a tenant admin.

In order to execute this action the current user must have one of the following security rights:

  • atom:global:assign_tenant_sr_to_tenant_admin

  • atom:tenant:assign_tenant_sr_to_tenant_admin

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

tenant_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
delete/tenants/{tenant_id}/admins/{tenant_admin_id}
DELETE /tenants/{tenant_id}/admins/{tenant_admin_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Archive a tenant admin

post

Remove a user from admins of the given tenant, and put the admin into the registry of former admins of that tenant.

In order to execute this action the current user must have one of the following security rights:

  • atom:global:assign_tenant_sr_to_tenant_admin

  • atom:tenant:assign_tenant_sr_to_tenant_admin

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

tenant_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/tenants/{tenant_id}/admins/{tenant_admin_id}/archive
POST /tenants/{tenant_id}/admins/{tenant_admin_id}/archive HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Restore an archived tenant admin

post

Reinstate an archived user and make him/her a tenant admin again.

In order to execute this action the current user must have one of the following security rights:

  • atom:tenant:assign_tenant_sr_to_tenant_admin

  • atom:global:assign_tenant_sr_to_tenant_admin

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

tenant_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/tenants/{tenant_id}/admins/{tenant_admin_id}/restore
POST /tenants/{tenant_id}/admins/{tenant_admin_id}/restore HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

Assign tenant security rights to a user

post

Assign tenant security rights to a user.

The user we are assigning security rights to does not need to be known by ATOM.

In order to execute this action the current user must have security right atom:tenant:assign_tenant_sr_to_tenant_admin for the tenant with the ID in parameter tenant_id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

tenant_admin_idstring · uuidRequired

ID of a tenant admin

Body
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
Responses
200

Success

application/json
post/tenants/{tenant_id}/admins/{tenant_admin_id}/security_rights
POST /tenants/{tenant_id}/admins/{tenant_admin_id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "security_rights": [
    "atom:org:assign_org_sr_to_user"
  ]
}

Archive a tenant

post

Archive a tenant.

In order to execute this action the current user must have security right atom:global:create_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Responses
200

Success

application/json
post/tenants/{tenant_id}/archive
POST /tenants/{tenant_id}/archive HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "tenant": {
    "archived": true,
    "authorised_officer_email": "text",
    "authorised_officer_first_name": "text",
    "authorised_officer_last_name": "text",
    "business_address": "text",
    "color": "text",
    "company_number": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legal_name": "text",
    "lei_number": "text",
    "logo_url": "https://example.com",
    "name": "text",
    "security_rights": [
      "atom:org:assign_org_sr_to_user"
    ],
    "status_in_tenant": "text",
    "trading_name": "text"
  }
}

Restore a tenant

post

Restore a tenant.

In order to execute this action the current user must have security right atom:global:create_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Responses
200

Success

application/json
post/tenants/{tenant_id}/restore
POST /tenants/{tenant_id}/restore HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "tenant": {
    "archived": true,
    "authorised_officer_email": "text",
    "authorised_officer_first_name": "text",
    "authorised_officer_last_name": "text",
    "business_address": "text",
    "color": "text",
    "company_number": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legal_name": "text",
    "lei_number": "text",
    "logo_url": "https://example.com",
    "name": "text",
    "security_rights": [
      "atom:org:assign_org_sr_to_user"
    ],
    "status_in_tenant": "text",
    "trading_name": "text"
  }
}

Add security rights to a tenant

post

Add security rights to a tenant.

In order to execute this action the current user must have security right atom:global:assign_sr_to_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Body
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
Responses
200

Success

application/json
post/tenants/{tenant_id}/security_rights
POST /tenants/{tenant_id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "security_rights": [
    "atom:org:assign_org_sr_to_user"
  ]
}
{
  "tenant": {
    "archived": true,
    "authorised_officer_email": "text",
    "authorised_officer_first_name": "text",
    "authorised_officer_last_name": "text",
    "business_address": "text",
    "color": "text",
    "company_number": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legal_name": "text",
    "lei_number": "text",
    "logo_url": "https://example.com",
    "name": "text",
    "security_rights": [
      "atom:org:assign_org_sr_to_user"
    ],
    "status_in_tenant": "text",
    "trading_name": "text"
  }
}

Remove security rights from a tenant

delete

Remove security rights from a tenant.

In order to execute this action the current user must have security right atom:global:assign_sr_to_tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

security_rightsstringRequired

Comma-separated security rights to remove

Responses
200

Success

application/json
delete/tenants/{tenant_id}/security_rights/{security_rights}
DELETE /tenants/{tenant_id}/security_rights/{security_rights} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated